webinspector_client_free
webinspector_client_new
webinspector_client_start_service
webinspector_client_t
webinspector_error_t
webinspector_receive
webinspector_receive_with_timeout
webinspector_send
WEBINSPECTOR_SERVICE_NAME

## webinspector_receive_with_timeout()

LIBIMOBILEDEVICE_API webinspector_error_t webinspector_receive_with_timeout | ( | webinspector_client_t | client,
|  | plist_t * | plist,
|  | uint32_t | timeout_ms )

Receives a plist using the given webinspector client.

Parameters

  client | The webinspector client to use for receiving
  plist | pointer to a plist_t that will point to the received plist upon successful return
  timeout_ms | Maximum time in milliseconds to wait for data.

Returns
  WEBINSPECTOR_E_SUCCESS on success, WEBINSPECTOR_E_INVALID_ARG when client or *plist is NULL, WEBINSPECTOR_E_PLIST_ERROR when the received data cannot be converted to a plist, WEBINSPECTOR_E_MUX_ERROR when a communication error occurs, or WEBINSPECTOR_E_UNKNOWN_ERROR when an unspecified error occurs.